#
# spec file for package lirc-kernel (Version 0.8.4MACRO)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# icecream 0


Name:           lirc-kernel
BuildRequires:  kernel-source kernel-syms module-init-tools
License:        GPL v2 or later
Group:          System/Kernel
Summary:        LIRC kernel modules
Version:        0.8.5%{?snapshot:_%snapshot}
Release:        23.4
Source0:        lirc-%{?snapshot}%{!?snapshot:%version}.tar.bz2
Source1:        Makefile.module
Source2:        Makefile.modsub
#Patch0:         lirc-0.8.4pre1-kernel-2.6.27.diff
# http://brakemeier.de/electronics/vdr/lirc-imon.html
#Patch1:         lirc-0.8.3pre1-imon-pad2keys.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    s390 s390x
%suse_kernel_module_package -n lirc kdump um debug

%description
LIRC kernel modules



%package -n lirc-KMP
License:        GPL v2 or later
Summary:        LIRC kernel modules
Group:          System/Kernel
Recommends:     lirc
# Modules: lirc_atiusb.ko lirc_igorplugusb.ko lirc_imon2.ko lirc_imon.ko lirc_mceusb2.ko lirc_mceusb.ko lirc_streamzap.ko lirc_ttusbir.ko
Supplements:    modalias(usb:v03EBp0002d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v03EEp2501d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v040Bp6521d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v043Ep9803d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v045Ep006Dd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v045Ep00A0d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v045Ep0284d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v0471p060[23C]d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v0471p0815d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04E8pFF30d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v0609p031Dd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v0609p0322d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v0AA8p8001d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v0AA8pFFDAd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v0B48p2003d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v0BC7p000[23456789ABCDEF]d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v0E9Cp0000d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v107Bp3009d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v1308pC001d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v1460p9150d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v1509p9242d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v15C2pFFD[AC]d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v1784p0001d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v179Dp0010d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v195Dp7002d*dc*dsc*dp*ic*isc*ip*)
# Generated with: extract-modaliases lirc-kmp-default.rpm

%description -n lirc-KMP
LIRC kernel modules are required to support certain hardware such as
receivers for the serial port.



%prep
%setup -q -n lirc-%{?snapshot}%{!?snapshot:%version}
pushd drivers
cp -av lirc_imon lirc_imon2
mv lirc_imon2/lirc_imon.c lirc_imon2/lirc_imon2.c
popd
#%patch0 -p0
#%patch1 -p1
autoreconf -f -i
PYTHON=/usr/bin/python \
	./configure --with-driver=all
cp -a drivers source
find source -name 'Makefile*'|xargs rm
ln -s . source/drivers
for i in source/lirc_*; do
	cp %{SOURCE2} $i/Makefile
done
cp %{SOURCE1} source/Makefile
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	 M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	 M=$PWD/obj/$flavor
done

%changelog
* Wed Jul 08 2009 Carsten Schoene <cs@linux-administrator.com> - 0.8.5-23
- update to release 0.8.5
* Thu Nov 13 2008 lnussel@suse.de
- don't build on s390, fails all the time and doesn't make sense anyways
* Mon Oct 13 2008 lnussel@suse.de
- new version 0.8.4
  * added support for ITE8709 CIR port (Gregory Lardiere)
  * added pronto2lirc converter (Olavi Akerman)
  * support for include directive in lircd.conf
* Mon Sep  1 2008 ro@suse.de
- pick some fixes from cvs to compile with 2.6.26
- hack to build with 2.6.27
* Mon May  5 2008 lnussel@suse.de
- new version 0.8.3
  * added support for Samsung USB IR Receiver (Robert Schedel)
  * added support for Soundgraph iMON IR/LCD (Dean Harding)
  * added support for IRLink receiver (Maxim Muratov)
  * added support for VLSystem MPlay Blast (Benoit Laurent)
  * implemented SIMULATE command in irsend to simulate IR events
  * added user-space I2C driver (Adam Sampson)
  * added support for Hauppauge HVR-1300 (Jan Frey)
  * dropped support for 2.4 kernels
* Tue Apr 29 2008 lnussel@suse.de
- add modalias supplements
- recommend lirc
* Tue Nov 27 2007 ro@suse.de
- fix build with 2.6.24
* Thu Oct 18 2007 ro@suse.de
- fix build with 2.6.23
* Fri Aug 10 2007 lnussel@suse.de
- upgrade to 0.8.2 final, just minor changes
* Fri Jun  1 2007 lnussel@suse.de
- update to 0.8.2pre3:
  * added support for TechnoTrend USB IR receiver (Stefan Macher)
  * automatic release event generation in lircd
  * added support for Apple Mac mini USB IR Receiver (Stephen Williams)
  * added support for ADSTech USBX-707 USB IR Blaster (Jelle Foks)
  * periodically try to reopen lirc device if reading fails (probably
    because USB device has been removed)
  * added support for Creative USB IR Receiver (SB0540) (Benjamin Drung)
  * lirc_mceusb2 supports setting carrier frequency
  * added support for Asus DH remote (Brice DUBOST, Bernhard
    Frauendienst)
  * fixed show-stopper bug in RC-6 transmit code
  * added support for Kanam Accent (Niccolo Rigacci)
  * added support for SoundGraph iMON 2.4G DT & LT (Morten Bogeskov)
* Fri Jun  1 2007 lnussel@suse.de
- disable lirc_gpio as it doesn't build with 2.6.22
* Mon Apr 23 2007 hvogel@suse.de
- Added imon2 driver that is a copy of imon with the pad2key
  patch from M. Brakemeier
* Wed Apr  4 2007 lrupp@suse.de
- added module-init-tools to BuildRequires
* Tue Feb 27 2007 ro@suse.de
- specfile: lirc-kernel-KMP should be lirc-KMP
- remove NoSource from specfile
* Mon Jan 15 2007 lnussel@suse.de
- also build xen kernel module (#233999)
* Fri Jan 12 2007 lnussel@suse.de
- fix kernel module build: SLAB_ATOMIC -> GFP_ATOMIC
* Thu Jan 11 2007 lnussel@suse.de
- new version 0.8.1
  * added support for USB-UIRT
  * added transmitter support for new version of Windows Media
    Center transceiver
  * added support for Iguanaworks USB IR Transceiver
* Mon Aug 21 2006 ro@suse.de
- fix build with 2.6.18 (from cvs)
* Thu Feb 16 2006 lnussel@suse.de
- remove redundant vermagic line from igorplugusb as it apparently
  confuses some magic kernel package script
* Wed Feb  8 2006 agruen@suse.de
- Rename lirc-kernel-kmp-* to lirc-kmp-*.
* Tue Feb  7 2006 lnussel@suse.de
- serial and sir fail on ppc, skip them
- bt829, it87 and parallel fail on s390, skip them
* Thu Feb  2 2006 lnussel@suse.de
- initial kernel module package
